# Generated by Django 2.0.1 on 2018-01-27 19:52

import app.fields
import app.validators
from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ('app', '0009_emitter_logo_url'),
    ]

    operations = [
        migrations.AddField(
            model_name='emitter',
            name='bank',
            field=models.CharField(default='', max_length=100),
            preserve_default=False,
        ),
        migrations.AddField(
            model_name='emitter',
            name='bic',
            field=models.CharField(default='', max_length=100),
            preserve_default=False,
        ),
        migrations.AddField(
            model_name='emitter',
            name='iban',
            field=models.CharField(default='', max_length=50, validators=[app.validators.validate_iban]),
            preserve_default=False,
        ),
        migrations.AlterField(
            model_name='emitter',
            name='logo_url',
            field=app.fields.LogoURLField(blank=True, help_text="Privilégiez les liens en HTTPS. Assurez-vous que le lien que vous fournissez pointe directement sur l'image (pas de page d'affichage comme Google Drive ou autres) et que l'image soit accessible.", validators=[app.validators.validate_image_url], verbose_name='URL du logo'),
        ),
    ]
